/2025-04/marketing-solutions/advertisers/{advertiser-id}/coupons
curl --request GET \
--url https://api.criteo.com/2025-04/marketing-solutions/advertisers/{advertiser-id}/coupons \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2025-04/marketing-solutions/advertisers/{advertiser-id}/coupons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2025-04/marketing-solutions/advertisers/{advertiser-id}/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"adSetId": "<string>",
"advertiserId": "<string>",
"author": "<string>",
"description": "<string>",
"endDate": "<string>",
"format": "<string>",
"id": "<string>",
"images": [
{
"height": 123,
"slideUrls": [
"<string>"
],
"width": 123
}
],
"landingPageUrl": "<string>",
"name": "<string>",
"rotationsNumber": 123,
"showDuration": 123,
"showEvery": 123,
"startDate": "<string>",
"status": "<string>"
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-04/marketing-solutions/advertisers/{advertiser-id}/coupons
Get the list of self-services Coupons for a given advertiser
GET
/
2025-04
/
marketing-solutions
/
advertisers
/
{advertiser-id}
/
coupons
/2025-04/marketing-solutions/advertisers/{advertiser-id}/coupons
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The advertiser identifier.
Query Parameters
The number of coupons to be returned. The default is 50.
The (zero-based) offset into the collection of coupons. The default is 0.
Response
200 - application/json
The list of self-services Coupons is returned.
Was this page helpful?
/2025-04/marketing-solutions/advertisers/{advertiser-id}/ads
Previous
/2025-04/marketing-solutions/advertisers/{advertiser-id}/coupons
Next
⌘I